[general]
# List of accounts to be synced, separated by a comma.
accounts = sync

[Account sync]
# Identifier for the local repository; e.g. the maildir to be synced via IMAP.
localrepository = local
# Identifier for the remote rpository; i.e. the actual IMAP, usually non-local.
remoterepository = remote

[Repository local]
# OfflineIMAP supports Maildir, GmailMaildir, and IMAP for local repositories.
type = Maildir
# Where should the mail be placed?
localfolders = /mail/<username>
nametrans = lambda name: re.sub('^\.', '', name)

[Repository remote]
# Remote repos can be IMAP or Gmail, the latter being a preconfigured IMAP.
type = IMAP
remotehost = <remote mailserver>
remoteuser = <remote username>
remotepass = <remote password>
readonly = True
ssl = yes
sslcacertfile = /etc/ssl/certs/ca-certificates.crt
ssl_version = tls1_2

# Need to exclude '' otherwise it complains about infinite naming loop?
folderfilter = lambda foldername: foldername not in ['']
# For Dovecot to see the folders right I want them starting with a dot,
# and dovecot set to look for .INBOX as the toplevel Maildir
nametrans = lambda name: '.' + name

